<p-blockUI [target]="pnlCalendar" [blocked]="isLoading">
    <i class="pi pi-spin pi-spinner" style="font-size: 15rem;color:azure"></i>
</p-blockUI>
<!-- <span class="text-900 font-semibold block mb-2">เลือกวันนัดรับบริการ สีเขียวคือคิวว่าง</span> -->

<div #pnlCalendar class="card">
    <full-calendar [options]="calendarOptions"></full-calendar>

    <p-dialog #dd [(visible)]="showDialog" [breakpoints]="{'960px': '75vw', '640px': '90vw'}" [style]="{width: '36rem'}" [modal]="true" [closable]="true" (onHide)="view = ''">
        <ng-template pTemplate="header">
            <span class="text-900 font-semibold text-xl">จองนัดแพทย์ </span><button pButton label="จองให้บุคคลอื่น" size="small" class="p-button-warning" (click)="displayClear()"></button>
        </ng-template>
        <p-messages
            [(value)]="messages"
            [enableService]="false"
            [closable]="false"
        ></p-messages>
        <ng-template pTemplate="content">
            <div *ngIf="view === 'display'">
                <span class="text-900 font-semibold block mb-2">Description</span>
                <span class="block mb-3">{{changedEvent.description}}</span>

                <div class="grid">
                    <div class="col-6">
                        <div class="text-900 font-semibold mb-2">Start</div>
                        <p class="flex align-items-center m-0">
                            <i class="pi pi-fw pi-clock text-700 mr-2"></i>
                            <span>{{changedEvent.start.toISOString().slice(0,10)}}</span>
                        </p>
                    </div>
                    <div class="col-6">
                        <div class="text-900 font-semibold mb-2">End</div>
                        <p class="flex align-items-center m-0">
                            <i class="pi pi-fw pi-clock text-700 mr-2"></i>
                            <span>{{changedEvent.end.toISOString().slice(0,10)}}</span>
                        </p>
                    </div>
                    <div class="col-12">
                        <div class="text-900 font-semibold mb-2">Location</div>
                        <p class="flex align-items-center m-0">
                            <i class="pi pi-fw pi-clock text-700 mr-2"></i>
                            <span>{{changedEvent.location}}</span>
                        </p>
                    </div>
                    <div class="col-12">
                        <div class="text-900 font-semibold mb-2">Color</div>
                        <p class="flex align-items-center m-0">
                            <span class="inline-flex flex-shrink-0 w-1rem h-1rem mr-2 border-circle" [style.backgroundColor]="changedEvent.tag.color"></span>
                            <span>{{changedEvent.tag.name}}</span>
                        </p>
                    </div>
                </div>
            </div>
            <div *ngIf="view !== 'display'">
            
                <div class="grid p-fluid formgrid">
                    <div class="col-6 md:col-6 field">
                        <label for="start" class="text-900 font-semibold">วันที่</label>
                        <p-calendar [appendTo]="dd" dateFormat="dd-mm-yy" [maxDate]="changedEvent.end" [showTime]="false" [required]="true" inputId="start" [(ngModel)]="changedEvent.start" [disabled]="true"></p-calendar>
                    </div>
                    <div class="col-6 md:col-6 field">
                        <label for="cid" class="text-900 font-semibold">เลขประจำตัวประชาชน</label>
                        <span class="p-input-icon-left">
                            <i class="pi pi-id-card"></i>
                            <input id="cid" type="text" pInputText placeholder="เลขประจำตัวประชาชน" [(ngModel)]="customerCID" maxlength="13" (keyup)="getCustomerProfile(customerCID)" />
                        </span>
                    </div>
                    <div class="col-9 md:col-9 field">
                        <label for="title" class="text-900 font-semibold">ชื่อ-นามสกุล ผู้ขอรับบริการ</label>
                        <span class="p-input-icon-left">
                            <i class="pi pi-user"></i>
                            <input id="title" type="text" pInputText placeholder="ชื่อ-นามสกุล" [(ngModel)]="customerName" />
                        </span>
                    </div>

                    <div class="col-3 md:col-3 field">
                        <label for="age" class="text-900 font-semibold">อายุ (ปี)</label>
                        <span class="p-input-icon-left">
                            <input id="age" type="text" pInputText placeholder="ระบุอายุ (ปี)" [(ngModel)]="customerAge" />
                        </span>
                    </div>

                    <div class="col-6 md:col-6 field">
                        <label for="phone" class="text-900 font-semibold">เบอร์โทรศัพท์</label>
                        <span class="p-input-icon-left">
                            <i class="pi pi-phone"></i>
                            <input id="phone" type="text" pInputText placeholder="เบอร์โทรศัพท์" [(ngModel)]="customerTel" maxlength="10" />
                        </span>
                    </div>
                    <div class="col-6 md:col-6 field">
                        <label for="line" class="text-900 font-semibold">ไลน์ไอดี</label>
                        <span class="p-input-icon-left">
                            <i class="pi pi-comment"></i>
                            <input id="line" type="text" pInputText placeholder="ไลน์ไอดี" [(ngModel)]="customerLineId" />
                        </span>
                    </div>

                    <div class="col-12 md:col-12 field flex flex-wrap gap-3">
                        <label for="customerChronicsBtnRadio" class="text-900 font-semibold">โรคประจำตัว/แพ้ยา/อื่นๆ</label>
                        <div class="flex align-items-center">
                            <p-radioButton name="Chronics" value="false" [(ngModel)]="customerChronicsBtnRadio" inputId="customerChronicsBtnRadio"></p-radioButton>
                            <label for="ingredient1" class="ml-2">ไม่มี</label>
                        </div>
                        
                        <div class="flex align-items-center">
                            <p-radioButton name="Chronics" value="true" [(ngModel)]="customerChronicsBtnRadio" inputId="customerChronicsBtnRadio"></p-radioButton>
                            <label for="ingredient2" class="ml-2">มี</label>
                        </div>
                    </div>

                    <div class="col-12 md:col-12 field">
                        <!-- <label for="customerChronics" class="text-900 font-semibold">โรคประจำตัว/แพ้ยา/อื่นๆ</label> -->
                        <span class="p-input-icon-left">
                            <i class="pi pi-heart"></i>
                        <input id="customerChronics" type="text" pInputText placeholder="หาก (*มี) โปรดระบุโรคประจำตัว..." [(ngModel)]="customerChronics">
                        </span>
                    </div>

                    <div class="col-12 field">
                        <label for="company-color" class="text-900 font-semibold">หน่วยบริการ</label>
                        <p-dropdown [options]="listAvialableHospital" appendTo="body" [(ngModel)]="selectHospitals" (onChange)="getByServiceID(selectHospitals)" optionLabel="hospital_name" placeholder="กรุณาเลือกโรงพยาบาล" [filter]="true" [showClear]="true">

                        </p-dropdown>
                    </div>

                    <div class="col-12 field">
                        <label for="company-color" class="text-900 font-semibold">ช่วงเวลา</label>
                        <p-dropdown [options]="listSlotByID" appendTo="body" [(ngModel)]="selectSlot" (onChange)="slotchange(selectSlot)" optionLabel="valuename" placeholder="กรุณาเลือกช่วงเวลา" [filter]="true" [showClear]="true">

                        </p-dropdown>
                    </div>
                </div>
  
            </div>
        </ng-template>

        <ng-template pTemplate="footer">
            <!-- <button pButton label="Reset" icon="pi pi-times" size="small" class="p-button-danger" (click)="getCustomer()"></button> -->
            <button pButton *ngIf="view === 'display'" label="Editx" icon="pi pi-pencil" (click)="onEditClick()"></button>
            <button pButton *ngIf="view === 'new' || view === 'edit'" label="Save" icon="pi pi-check" (click)="handleSave()" [disabled]="!changedEvent.start || !changedEvent.end"></button>
            <button pButton label="Close" icon="pi pi-times" size="small" class="p-button-danger" (click)="close()" ></button>
        </ng-template>
    </p-dialog>
</div>
